<form [formGroup]="loginForm" (ngSubmit)="onSubmit()" fxLayout="row wrap" fxLayoutAlign="center center" style="height:100%">

    <div fxFlex.gt-md="30" fxFlex="40" fxFlex.xs="90">
        <mat-card class="card-login">
            <mat-card-header fxLayoutAlign="center center">
                <mat-card-title style="text-align: center;">
                    <h3>Sistema de citas medicas</h3>
                </mat-card-title>
                <mat-card-subtitle style="text-align: center;">Medisystem</mat-card-subtitle>
            </mat-card-header>
            <mat-divider></mat-divider>
            <mat-card-content fxLayout="row wrap" fxLayoutGap="10px grid">
                <div><br></div>
                <mat-form-field fxFlex="100" appearance="outline">
                    <mat-label>Correo</mat-label>
                    <input matInput formControlName="correo" type="email">
                </mat-form-field>
                <mat-form-field fxFlex="100" appearance="outline">
                    <mat-label>Contraseña</mat-label>
                    <input matInput [type]="hide ? 'password' : 'text'" formControlName="password">
                    <button mat-icon-button matSuffix (click)="hide = !hide; $event.preventDefault()" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                          <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                        </button>
                </mat-form-field>
                <div></div>
            </mat-card-content>
            <mat-divider></mat-divider>
            <mat-card-actions style="margin-bottom: 0;" fxLayout="column" fxLayoutAlign="center center">
                <button mat-button color="accent">Ingresar</button>
                <button mat-button routerLink="/register">Registrarme</button>
            </mat-card-actions>
        </mat-card>
    </div>
</form>